package conf

import "sync"

type Config struct {
	Mode     string
	KubeHost string
	KubePort string
	KubeCA   string
	KubeCert string
	KubeData string
}

var instance *Config
var once sync.Once

func GetConfig() *Config {
	once.Do(func() {
		instance = &Config{}
	})
	return instance
}
